: Class Arch

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts
Class Arch

    java.lang.Object
      |
      +--ts.Arch

public class Arch
extends java.lang.Object

The main class. The class will load default- and user configuration that determins the setup of the application, and then glue together the main application window and show it.

Version:
  $Id: Arch.java,v 1.29 2000/04/16 13:51:18 hauk Exp $
Author:
  Jan-Henrik Haukeland <hauk@tildeslash.com>

Inner Class Summary
`protected class` | `Arch.NewBiff`

Constructor Summary
`Arch()` Instantiate the application

Method Summary
`protected Biff` | `createBiff()` Assembly the Main application window and return it.
`void` | `createNewBiff()` Create a new instance of the Biff frame.
`protected Splash` | `createSplash()` Create the splash window and show it
`protected void` | `initializerError(java.lang.Exception e)` Print an Exception message and exit the application
`protected void` | `loadUserConfiguration()` Load the users local control file into Config.
`static void` | `main(java.lang.String[] args)` The prime mover
`protected void` | `setUI()` Set the Pluggable Look and Feel and default UI properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Arch

    public Arch()

  Instantiate the application

Method Detail

### main

    public static void main(java.lang.String[] args)

  The prime mover

### createNewBiff

    public void createNewBiff()

  Create a new instance of the Biff frame.

### initializerError

    protected void initializerError(java.lang.Exception e)

  Print an Exception message and exit the application
  Parameters:
    `e` - Exception to print

### createSplash

    protected Splash createSplash()

  Create the splash window and show it

### createBiff

    protected Biff createBiff()
                       throws ConfigException

  Assembly the Main application window and return it.
  Returns:
    The main application window
  Throws:
    `ConfigException` - On error

### loadUserConfiguration

    protected void loadUserConfiguration()
                                  throws ConfigException

  Load the users local control file into Config. If the file is not found, create a new one with default values and start the user-configuration dialog to let the user change settings.
  Throws:
    `ConfigException` - On error

### setUI

    protected void setUI()
                  throws ConfigException

  Set the Pluggable Look and Feel and default UI properties. The method uses the swing class UIManager to set application universial properties.
  Throws:
    `ConfigException` - On error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD